UM .NET API 6.17.1

- Main Page
- Related Pages
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.UMQIndexAssignedInfo Class Reference

Class containing information about UMQ index assignment events. This info object is delivered with a UMQ Index Assigned receiver event, containing information identifying the queue, queue instance, and index information associated with the index assigned event. More...

Inheritance diagram for com.latencybusters.lbm.UMQIndexAssignedInfo:

## Public Member Functions
| UMQIndexAssignedInfo (int flags, long queueId, String queue, UMQIndexInfo indexInfo)
| Creates a UMQIndexAssignedInfo object and initializes fields to the supplied values. More...
UMQIndexInfo | indexInfo ()
| Get UMQ index information for this info object.
int | flags ()
| Get informational flags for this info object. More...
long | queueId ()
| Get Queue Id for the queue associated with this info object. More...
String | queueName ()
| Get Queue name for the queue associated with this info object. More...

## Detailed Description

Class containing information about UMQ index assignment events. This info object is delivered with a UMQ Index Assigned receiver event, containing information identifying the queue, queue instance, and index information associated with the index assigned event.

## Constructor & Destructor Documentation

com.latencybusters.lbm.UMQIndexAssignedInfo.UMQIndexAssignedInfo | ( | int | flags,
|  | long | queueId,
|  | String | queue,
|  | UMQIndexInfo | indexInfo
| ) |  |

Creates a UMQIndexAssignedInfo object and initializes fields to the supplied values.

LBMEInvalException An invalid parameter was specified.

Parameters

  flags | Informational flags.
  queueId | Queue Id of the queue.
  queue | The name of the queue at which the receiver was assigned the index.
  indexInfo | UMQ Index information object.

## Member Function Documentation

int com.latencybusters.lbm.UMQQueueInfo.flags | ( |  | ) |
| inherited

Get informational flags for this info object.

Returns
  Flags.

long com.latencybusters.lbm.UMQQueueInfo.queueId | ( |  | ) |
| inherited

Get Queue Id for the queue associated with this info object.

Returns
  Queue Id for the queue associated with this info object.

String com.latencybusters.lbm.UMQQueueInfo.queueName | ( |  | ) |
| inherited

Get Queue name for the queue associated with this info object.

Returns
  Queue name for the queue associated with this info object.

References com.latencybusters.lbm.LBM.UMQ_MAX_QUEUE_STRLEN.

The documentation for this class was generated from the following file:

- UMQIndexAssignedInfo.cs